Loading...
Searching...
No Matches
CostScaling< GR, V, C, TR >::SetLargeCost< T > Struct Template Reference

## Detailed Description

template<typename GR, typename V, typename C, typename TR>
template<typename T>
struct lemon::CostScaling< GR, V, C, TR >::SetLargeCost< T >

Named parameter for setting `LargeCost` type, which is used for internal computations in the algorithm. `Cost` must be convertible to `LargeCost`.

`#include <lemon/cost_scaling.h>`

Inheritance diagram for CostScaling< GR, V, C, TR >::SetLargeCost< T >:
[legend]

## Additional Inherited Members

Public Types inherited from CostScaling< GR, V, C, SetLargeCostTraits< T > >
enum | ProblemType
| Problem type constants for the `run()` function. More...
enum | Method
| Constants for selecting the internal method. More...
typedef SetLargeCostTraits< T >::Digraph | Digraph
| The type of the digraph.
typedef SetLargeCostTraits< T >::Value | Value
| The type of the flow amounts, capacity bounds and supply values.
typedef SetLargeCostTraits< T >::Cost | Cost
| The type of the arc costs.
typedef SetLargeCostTraits< T >::LargeCost | LargeCost
| The large cost type.
typedef SetLargeCostTraits< T > | Traits
| The traits class of the algorithm.
Public Member Functions inherited from CostScaling< GR, V, C, SetLargeCostTraits< T > >
| CostScaling (const GR &graph)
| Constructor.
CostScaling & | lowerMap (const LowerMap &map)
| Set the lower bounds on the arcs.
CostScaling & | upperMap (const UpperMap &map)
| Set the upper bounds (capacities) on the arcs.
CostScaling & | costMap (const CostMap &map)
| Set the costs of the arcs.
CostScaling & | supplyMap (const SupplyMap &map)
| Set the supply values of the nodes.
CostScaling & | stSupply (const Node &s, const Node &t, Value k)
| Set single source and target nodes and a supply value.
ProblemType | run (Method method=PARTIAL_AUGMENT, int factor=16)
| Run the algorithm.
CostScaling & | resetParams ()
| Reset all the parameters that have been given before.
CostScaling & | reset ()
| Reset the internal data structures and all the parameters that have been given before.
Number | totalCost () const
| Return the total cost of the found flow.
Value | flow (const Arc &a) const
| Return the flow on the given arc.
void | flowMap (FlowMap &map) const
| Copy the flow values (the primal solution) into the given map.
Cost | potential (const Node &n) const
| Return the potential (dual value) of the given node.
void | potentialMap (PotentialMap &map) const
| Copy the potential values (the dual solution) into the given map.
Public Attributes inherited from CostScaling< GR, V, C, SetLargeCostTraits< T > >
const Value | INF
| Constant for infinite upper bounds (capacities).